
%global meadversion 0.0.4
%global namedversion 0.0.4.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00004

%{?scl:%scl_package opentracing-interceptors} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 0.0.4.redhat-00004

Name:           %{?scl_prefix}opentracing-interceptors
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        OpenTracing Contrib - Framework instrumentation for Java Interceptors
Group:          Development/Java

%if %with mead
Source100: opentracing-interceptors-0.0.4.redhat-00004-project-sources.tar.gz
Source102: opentracing-interceptors-0.0.4.redhat-00004-sources.jar
Source103: opentracing-interceptors-0.0.4.redhat-00004.jar
Source104: opentracing-interceptors-0.0.4.redhat-00004.pom
%endif

License:        MIT
URL:            https://github.com/opentracing-contrib/java-interceptors/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/opentracing-interceptors-%{namedversion}-%{release}-root

%description
OpenTracing Contrib - Framework instrumentation for Java Interceptors.

%if %with javadoc
%package javadoc
Summary:        Javadoc for opentracing-interceptors
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n opentracing-interceptors-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/opentracing-interceptors-%{namedversion}.jar %{buildroot}%{_javadir}/opentracing-interceptors-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/opentracing-interceptors-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/opentracing-interceptors-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/opentracing-interceptors-%{namedversion}-sources.jar %{buildroot}%{_javadir}/opentracing-interceptors-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/opentracing-interceptors-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/opentracing-interceptors-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/opentracing-interceptors-%{namedversion} -x META-INF/\*
%{__ln_s} opentracing-interceptors-%{namedversion} %{buildroot}%{_javadocdir}/opentracing-interceptors
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md RELEASE.md CHANGELOG.md
%{_javadir}/opentracing-interceptors-%{namedversion}.jar
%{_javadir}/opentracing-interceptors.jar
%if %with javadoc
%exclude %{_javadir}/opentracing-interceptors-%{namedversion}-javadoc.jar
%exclude %{_javadir}/opentracing-interceptors-javadoc.jar
%endif
%{_javadir}/opentracing-interceptors-%{namedversion}-sources.jar
%{_javadir}/opentracing-interceptors-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/opentracing-interceptors-%{namedversion}
%{_javadocdir}/opentracing-interceptors
%{_javadir}/opentracing-interceptors-%{namedversion}-javadoc.jar
%{_javadir}/opentracing-interceptors-javadoc.jar
%endif

%changelog
* Fri Oct 18 2019 Yong Yang <yyang@redhat.com> - 0.0.4-1.redhat_00004.1
- RPM wrapper build 0.0.4.redhat-00004


* Fri Oct 18 2019 Yong Yang <yyang@redhat.com> - 0.0.4.redhat-00004
- release
